Bug 23495 - Show SMS provider on details tab in patron account in staff
Summary: Show SMS provider on details tab in patron account in staff
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-22 19:33 UTC by Lisette Scheer
Modified: 2020-05-18 15:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 23495: Add SMS provider to moremember.tt (3.46 KB, patch)
2020-04-23 18:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23495: Add SMS provider to moremember.tt (3.51 KB, patch)
2020-04-23 19:23 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23495: Add SMS provider to moremember.tt (3.56 KB, patch)
2020-04-24 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23495: Fix if no sms provider defined (1.80 KB, patch)
2020-04-24 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lisette Scheer 2019-08-22 19:33:26 UTC
It would be very helpful if the SMS provider would show on moremember.pl either above or below the SMS number. 
Lisette
Comment 1 Nick Clemens 2020-04-23 18:54:40 UTC
Created attachment 103602 [details] [review]
Bug 23495: Add SMS provider to moremember.tt

To test:
1 - Enable SMS using the Email driver
2 - Add an SMS provider under admimistration
3 - Add an SMS number and provider to a patron
4 - Note on the patron details you don't see the provider :-(
5 - Apply patch
6 - Reload
7 - Note you do see the provider :-)
8 - prove t/db_dependent/Koha/Patrons.t
9 - Sign off!
Comment 2 ByWater Sandboxes 2020-04-23 19:23:27 UTC
Created attachment 103604 [details] [review]
Bug 23495: Add SMS provider to moremember.tt

To test:
1 - Enable SMS using the Email driver
2 - Add an SMS provider under admimistration
3 - Add an SMS number and provider to a patron
4 - Note on the patron details you don't see the provider :-(
5 - Apply patch
6 - Reload
7 - Note you do see the provider :-)
8 - prove t/db_dependent/Koha/Patrons.t
9 - Sign off!

Signed-off-by: Lisette <lisetteslatah@gmail.com>
Comment 3 Jonathan Druart 2020-04-24 10:48:43 UTC
Created attachment 103641 [details] [review]
Bug 23495: Add SMS provider to moremember.tt

To test:
1 - Enable SMS using the Email driver
2 - Add an SMS provider under admimistration
3 - Add an SMS number and provider to a patron
4 - Note on the patron details you don't see the provider :-(
5 - Apply patch
6 - Reload
7 - Note you do see the provider :-)
8 - prove t/db_dependent/Koha/Patrons.t
9 - Sign off!

Signed-off-by: Lisette <lisetteslatah@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2020-04-24 10:48:47 UTC
Created attachment 103642 [details] [review]
Bug 23495: Fix if no sms provider defined

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-04-29 16:35:57 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-08 22:25:57 UTC
enhancement not backported to 19.11